Bug 12793 - Printing a share mode entry with leases can crash in the ndr code.
Printing a share mode entry with leases can crash in the ndr code.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-16 23:11 UTC by Jeremy Allison
Modified: 2017-05-30 10:16 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.6.next, 4.5.next. (2.12 KB, patch)
2017-05-18 16:29 UTC, Jeremy Allison
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-05-16 23:11:19 UTC
Reported by asn@samba.org:

> Reproducer:
> 
> make -j test TESTS="samba3.smbtorture_s3.crypt_client" SMBD_OPTIONS=-d11
> WINBINDD_OPTIONS=-d11

Fix to follow.
Comment 1 Jeremy Allison 2017-05-18 16:29:18 UTC
Created attachment 13225 [details]
git-am fix for 4.6.next, 4.5.next.

Cherry-pick from what went into master.
Comment 2 Alexander Bokovoy 2017-05-18 16:50:08 UTC
Comment on attachment 13225 [details]
git-am fix for 4.6.next, 4.5.next.

ACK.
Comment 3 Jeremy Allison 2017-05-18 17:01:12 UTC
Re-assigning to Karolin for inclusion in 4.5.next, 4.6.next.
Comment 4 Karolin Seeger 2017-05-19 07:26:27 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-05-30 10:16:01 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!